ZK Compression
getCompressedAccount
Returns the compressed account with the given address or hash.
POST
/
cURL
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getCompressedAccount",
"params": {
"address": null,
"hash": "gEF8v1TLb2T9vTaJarFj6kQoSfWNkskMSCJpPJSxZzT"
}
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getCompressedAccount",
"params": {
"address": None,
"hash": "gEF8v1TLb2T9vTaJarFj6kQoSfWNkskMSCJpPJSxZzT"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getCompressedAccount',
params: {address: null, hash: 'gEF8v1TLb2T9vTaJarFj6kQoSfWNkskMSCJpPJSxZzT'}
})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"slot": 100
},
"value": {
"hash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"lamports": 100,
"leafIndex": 100,
"owner": "11111112D1oxKts8YPdTJRG5FzxTNpMtWmq8hkVx3",
"seq": 100,
"slotCreated": 100,
"tree": "11111112D1oxKts8YPdTJRG5FzxTNpMtWmq8hkVx3",
"address": "11111112D1oxKts8YPdTJRG5FzxTNpMtWmq8hkVx3",
"data": {
"data": "SGVsbG8sIFdvcmxkIQ==",
"dataHash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"discriminator": 100
}
}
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}Request Parameters
string
default:"11111112D1oxKts8YPdTJRG5FzxTNpMtWmq8hkVx3"
The Solana public key of the compressed account to retrieve data for
string
The data hash identifier of the compressed Solana account if the address is not available
Authorizations
Body
application/json
The version of the JSON-RPC protocol.
Available options:
2.0 An ID to identify the request.
The name of the method to invoke.
Available options:
getCompressedAccount Request parameters for retrieving compressed account data on Solana, including address identifier or data hash for compressed NFTs and tokens
Show child attributes
Show child attributes
Example:
{
"address": null,
"hash": "gEF8v1TLb2T9vTaJarFj6kQoSfWNkskMSCJpPJSxZzT"
}
Was this page helpful?
⌘I
cURL
